
Figure - Bug #118310
【IOVDEV-31002】【VC1】【0100】【台架】【EE环境】【副屏】偶发一次控制中心的按钮显示异常
2023-05-27 16:49 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-27

Priority: Normal Due date:

Assignee: CDTS_TEST 王成 % Done: 0%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0100.c103

Resolution: -- Degrated: --

Severity: Major Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】EE环境

【问题出现时间】：20230527  15点36分（ 副屏第210次开机）

【前提条件】：车机上电（KL30ON ，KL15 ON，CANoe的E2E工程发送电源模式信号powermode=local on，已连接中控和功放，可正常

输出声音，副屏以太网和WiFi都是已连接状态）副屏安装支持的27个中的第三方应用

1.在15点35分下电上电使中控和副屏重启

2.在15点36分开启点击打开桌面的各个应用（副屏支持的27个应用范围内）

3.向下滑动查看控制中心

4.多次快速点击控制中心中的蓝牙开关进行开启关闭操作

【实际结果】

副屏提示”Quickstep没有响应“，之后查看控制中心的互联网、蓝牙、护眼模式、游戏模式等按钮显示异常

【期望结果】

副屏开关蓝牙正常，控制中心中的按钮正常显示高亮和非高亮状态。

【备注】：

车架号VIN：HRYTTESTVINMGM400

中控端log可从云端获取，

副屏历史log地址：https://ofs.human-horizons.com/#/download/index/Z9k4xEcO08M%3D

【影响版本】：副屏：01.00.0100.c103  中控：03.02.0082.C102

History

#1 - 2023-05-27 16:51 - CDTS_TEST 王成

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118310/tlog_iov0201017500006162025411a2212290000000911_000210_0527154010.tar.gz

#2 - 2023-05-30 11:33 - CD FW 曹覃刚
- Category changed from CD-FW to 依赖客户及其供应商解决

- Status changed from New to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CDTS_TEST 王成

Hi 王成

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118310/tlog_iov0201017500006162025411a2212290000000911_000210_0527154010.tar.gz

提供的日志中，缺少anr的trace

anr问题缺少trace，分析困难，能想办法帮忙复现下这个问题，抓下trace吗？

我本地尝试复现10次，没能复现出问题

#3 - 2023-05-31 21:47 - CDTS_TEST 王成

- Assignee changed from CDTS_TEST 王成 to CD FW 曹覃刚

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118310/1685540736094.zip 云端日志，5.27号0点到5.27号24点

#4 - 2023-06-01 21:06 - CD FW 曹覃刚

- Status changed from NEED_INFO to ASSIGNED

■ 我的分析

05-27 15:37:01.790  1542 15153 E ActivityManager: ANR in com.android.launcher3 (com.android.launcher3/.uioverrides.QuickstepLauncher)

05-27 15:37:01.790  1542 15153 E ActivityManager: 99% TOTAL: 54% user + 38% kernel + 1.7% iowait + 2.9% irq + 1.9% softirq

在问题发生时，CPU已经被拉满了,使用率达到了99%

Launcher本身并没有任何异常, 只是由于CPU拉满了，导致无响应

控制中心的显示异常，应该只是这个问题导致的周边问题

-------------------------

05-27 15:37:01.790  1542 15153 E ActivityManager: CPU usage from 123ms to 752ms later (2023-05-27 15:36:39.252 to 2023-05-27 15:36:39.882):

05-27 15:37:01.790  1542 15153 E ActivityManager:   80% 1542/system_server: 30% user + 50% kernel / faults: 1778 minor

05-27 15:37:01.790  1542 15153 E ActivityManager:     55% 15153/AnrConsumer: 15% user + 40% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     5.7% 3091/Binder:1542_C: 3.8% user + 1.9% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     3.8% 1620/android.display: 3.8% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     3.8% 5912/Binder:1542_15: 1.9% user + 1.9% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     1.9% 1570/ReferenceQueueD: 0% user + 1.9% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     1.9% 1618/android.ui: 0% user + 1.9% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     1.9% 1621/android.anim: 0% user + 1.9% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     1.9% 1634/ActivityManager: 1.9% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     1.9% 1640/OomAdjuster: 0% user + 1.9% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     1.9% 1795/ConnectivitySer: 1.9% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     1.9% 2426/Binder:1542_A: 0% user + 1.9% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     1.9% 3103/Binder:1542_D: 1.9% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     1.9% 7137/Binder:1542_1D: 1.9% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:   82% 3431/com.tencent.android.qqdownloader: 67% user + 14% kernel / faults: 10094 minor 7 major

05-27 15:37:01.790  1542 15153 E ActivityManager:     27% 3431/id.qqdownloader: 21% user + 6.3% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     27% 3449/HeapTaskDaemon: 23% user + 4.2% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     4.2% 3784/DefaultHandler: 4.2% user + 0% kernel
05-27 15:37:01.790  1542 15153 E ActivityManager:     2.1% 3519/temporary-1: 2.1% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     2.1% 3591/ReplyEventDispa: 2.1% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     2.1% 3625/temporary-9: 2.1% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     2.1% 5098/Binder:3431_C: 2.1% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15238/RenderThread: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15245/BaseActivityHan: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15257/Idle Thread-8: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15258/Idle Thread-9: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15259/Idle Thread-10: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15260/TXImageViewHand: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15261/glide-active-re: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15262/AMS-IO1-thread-: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15263/VR_TimerTaskMan: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15264/pool-20-thread-: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15271/glide-glide-dis: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15272/glide-glide-dis: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15274/glide-glide-dis: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15276/glide-glide-dis: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15278/glide-glide-dis: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15282/glide-glide-dis: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15288/glide-glide-dis: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15289/glide-glide-dis: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15290/SharedPreferenc: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15296/Idle Thread-11: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15298/Idle Thread-12: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15301/id.qqdownloader: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15302/id.qqdownloader: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:   72% 12699/com.netease.cloudmusic: 56% user + 16% kernel / faults: 4877 minor

05-27 15:37:01.790  1542 15153 E ActivityManager:     18% 12699/ease.cloudmusic: 10% user + 8% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     18% 12707/HeapTaskDaemon: 18% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     8% 12941/DefaultDispatch: 5.3% user + 2.6% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     5.3% 15215/pool-2-thread-4: 5.3% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     2.6% 12706/Jit thread pool: 2.6% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     2.6% 12943/DefaultDispatch: 2.6% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15242/TaskSchedulerSe: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15243/TaskSchedulerFo: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15244/TaskSchedulerFo: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15246/ChromiumNet: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15247/pool-11-thread-: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15248/DnsConfigServic: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15249/TaskSchedulerFo: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15250/TaskSchedulerFo: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15251/Network File Th: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15255/NA File Thread: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15256/NA Global Sub T: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15273/4.music.163.com: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15275/OkHttp TaskRunn: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15277/Okio Watchdog: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15279/OkHttp TaskRunn: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15280/OkHttp TaskRunn: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15281/OkHttp TaskRunn: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15283/OkHttp TaskRunn: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15284/OkHttp TaskRunn: 0% user + 0% kernel
05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15285/OkHttp TaskRunn: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15286/OkHttp TaskRunn: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15287/OkHttp TaskRunn: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15295/pool-18-thread-: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15297/arch_disk_io_0: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15300/arch_disk_io_1: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15304/pool-19-thread-: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15307/SharedPreferenc: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:   35% 96/kswapd-1:0: 0% user + 35% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:   42% 3268/com.tencent.android.qqdownloader:daemon: 35% user + 6.3% kernel / faults: 2066 minor

05-27 15:37:01.790  1542 15153 E ActivityManager:     23% 3285/HeapTaskDaemon: 23% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     4.2% 13610/Idle Thread-10: 2.1% user + 2.1% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     2.1% 3365/temporary-1: 2.1% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     2.1% 3522/MessengerServic: 2.1% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     2.1% 7327/Binder:3268_9: 2.1% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     2.1% 13627/protocalManager: 2.1% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15293/protocalManager: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15299/protocalManager: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:   25% 851/vendor.qti.hardware.display.composer-service: 12% user + 12% kernel / faults: 2 minor

05-27 15:37:01.790  1542 15153 E ActivityManager:     26% 1068/HwBinder:851_2: 14% user + 12% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:   30% 7392/com.ss.android.lark: 23% user + 7% kernel / faults: 406 minor

05-27 15:37:01.790  1542 15153 E ActivityManager:     9.4% 14851/lk_th_vc_inner_: 7% user + 2.3% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     7% 12537/Thread-512: 4.7% user + 2.3% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     4.7% 7554/Thread-454: 2.3% user + 2.3% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     4.7% 7973/lk-ssc-launch_p: 2.3% user + 2.3% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     2.3% 7401/HeapTaskDaemon: 2.3% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     2.3% 7450/lk-cpu-2: 2.3% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     2.3% 7463/lk-io-1: 2.3% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     2.3% 7567/alauda-driver: 2.3% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:   35% 13646/com.tencent.android.qqdownloader:wxa_container0: 27% user + 8.2% kernel / faults: 156 minor

05-27 15:37:01.790  1542 15153 E ActivityManager:     13% 15187/JSRuntimeLooper: 10% user + 2.7% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     8.2% 13658/HeapTaskDaemon: 8.2% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     2.7% 13752/ReplyEventDispa: 2.7% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     2.7% 14817/BeaconReportHan: 0% user + 2.7% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15267/SharedPreferenc: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15268/qimei-thread-1: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:   21% 990/surfaceflinger: 16% user + 5.4% kernel / faults: 4 minor

05-27 15:37:01.790  1542 15153 E ActivityManager:     14% 990/surfaceflinger: 12% user + 1.8% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     1.8% 1073/app: 0% user + 1.8% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     1.8% 2754/Binder:990_5: 1.8% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:   28% 7437/com.smile.gifmaker:kwv_sandboxed_p0: 23% user + 4.7% kernel / faults: 1959 minor 1 major

05-27 15:37:01.790  1542 15153 E ActivityManager:     19% 15157/ela_SwitchConfi: 16% user + 2.3% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     9.5% 7449/HeapTaskDaemon: 4.7% user + 4.7% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     2.3% 8211/Thread-5: 0% user + 2.3% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:   32% 13085/com.tencent.wework:wxa_container0: 19% user + 13% kernel / faults: 7510 minor

05-27 15:37:01.790  1542 15153 E ActivityManager:     24% 13085/:wxa_container0: 13% user + 10% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     8.1% 13099/HeapTaskDaemon: 5.4% user + 2.7% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:   27% 9633/com.smile.gifmaker:push_v3: 27% user + 0% kernel / faults: 1330 minor

05-27 15:37:01.790  1542 15153 E ActivityManager:     19% 15156/ela_SwitchConfi: 17% user + 2.4% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     7.4% 9641/HeapTaskDaemon: 7.4% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:   22% 9604/com.smile.gifmaker:commonMiniService: 14% user + 7.4% kernel / faults: 1569 minor 1 major

05-27 15:37:01.790  1542 15153 E ActivityManager:     14% 15158/ela_SwitchConfi: 9.9% user + 4.9% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     4.9% 9624/HeapTaskDaemon: 4.9% user + 0% kernel
05-27 15:37:01.790  1542 15153 E ActivityManager:     2.4% 11804/ThreadPoolForeg: 0% user + 2.4% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:   13% 357/kworker/u16:14-ufs_pm_qos_0: 0% user + 13% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:   18% 6570/com.ss.android.ugc.aweme: 13% user + 4.6% kernel / faults: 854 minor

05-27 15:37:01.790  1542 15153 E ActivityManager:     6.9% 6676/#/SummerWorker1: 6.9% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     4.6% 6580/HeapTaskDaemon: 4.6% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     2.3% 6636/#tp-io-2: 2.3% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:   19% 7474/com.smile.gifmaker:kwv_privileged_p0: 9.5% user + 9.5% kernel / faults: 2501 minor 1 major

05-27 15:37:01.790  1542 15153 E ActivityManager:     14% 15155/ela_SwitchConfi: 9.5% user + 4.7% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     7.1% 7488/HeapTaskDaemon: 2.3% user + 4.7% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:   8.4% 329/kworker/u16:9-kverityd: 0% user + 8.4% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:   8.4% 343/kworker/u16:13-kverityd: 0% user + 8.4% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:   8.7% 518/lmkd: 1.7% user + 6.9% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     8.7% 518/lmkd: 3.4% user + 5.2% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:   10% 3483/com.tencent.mobileqq: 6.3% user + 4.2% kernel / faults: 110 minor

05-27 15:37:01.790  1542 15153 E ActivityManager:     4.2% 6090/transThread: 2.1% user + 2.1% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     4.2% 15160/thread_sp_file_: 2.1% user + 2.1% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     2.1% 15214/RFWNetThreadPoo: 2.1% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:   11% 4726/com.smile.gifmaker:messagesdk: 8.8% user + 2.2% kernel / faults: 1297 minor

05-27 15:37:01.790  1542 15153 E ActivityManager:     8.8% 15154/ela_SwitchConfi: 6.6% user + 2.2% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     4.4% 4734/HeapTaskDaemon: 2.2% user + 2.2% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:   13% 12072/com.microsoft.emmx: 7.8% user + 5.2% kernel / faults: 359 minor

05-27 15:37:01.790  1542 15153 E ActivityManager:     7.8% 12084/HeapTaskDaemon: 5.2% user + 2.6% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     2.6% 12228/Chrome_IOThread: 0% user + 2.6% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     2.6% 12246/NetworkService: 0% user + 2.6% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     2.6% 12249/ThreadPoolForeg: 2.6% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:   9.1% 5830/com.qiyi.video.pad: 0% user + 9.1% kernel / faults: 398 minor

05-27 15:37:01.790  1542 15153 E ActivityManager:     4.5% 8461/dDevicePingback: 0% user + 4.5% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     2.2% 5830/.qiyi.video.pad: 0% user + 2.2% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     2.2% 7413/tmn-5-0: 0% user + 2.2% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:   10% 12378/com.microsoft.emmx:sandboxed_process0:org.chromium.content.app.SandboxedProcessService0:2: 7.9%

user + 2.6% kernel / faults: 225 minor

05-27 15:37:01.790  1542 15153 E ActivityManager:     10% 12425/CrRendererMain: 7.9% user + 2.6% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:   10% 12469/com.tencent.wework: 7.9% user + 2.6% kernel / faults: 2492 minor 8 major

05-27 15:37:01.790  1542 15153 E ActivityManager:     5.3% 12469/.tencent.wework: 2.6% user + 2.6% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:   11% 13696/com.tencent.mm:appbrand1: 8.2% user + 2.7% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     11% 14114/[GT]ColdPool#14: 8.2% user + 2.7% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:   5.2% 517/logd: 1.7% user + 3.4% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     3.4% 526/logd.writer: 1.7% user + 1.7% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     1.7% 4346/logd.reader.per: 0% user + 1.7% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:   6% 2501/com.android.launcher3: 4% user + 2% kernel / faults: 57 minor

05-27 15:37:01.790  1542 15153 E ActivityManager:     2% 2501/droid.launcher3: 2% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     2% 3121/RenderThread: 2% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     2% 3255/Binder:2501_5: 0% user + 2% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     2% 5614/Binder:2501_7: 0% user + 2% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:   8.5% 15120/com.ss.android.lark:wschannel: 0% user + 8.5% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     11% 15120/.lark:wschannel: 0% user + 11% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:   3.5% 680/netd: 0% user + 3.5% kernel / faults: 121 minor

05-27 15:37:01.790  1542 15153 E ActivityManager:     1.7% 739/SkDestroyListen: 0% user + 1.7% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15291/Dns_102_10095: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:    +0% 15292/Dns_102_10095: 0% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:   4% 2928/com.hht.lebocast: 2% user + 2% kernel / faults: 22 minor

05-27 15:37:01.790  1542 15153 E ActivityManager:     2% 8767/Thread-132: 2% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:   4.3% 4470/com.smile.gifmaker: 0% user + 4.3% kernel / faults: 84 minor
05-27 15:37:01.790  1542 15153 E ActivityManager:     2.1% 4470/.smile.gifmaker: 0% user + 2.1% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     2.1% 4482/HeapTaskDaemon: 0% user + 2.1% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     2.1% 4526/log-manager: 0% user + 2.1% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     2.1% 4555/ChromiumNet: 0% user + 2.1% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:   4.7% 7695/com.tencent.ilink.ServiceProcess: 0% user + 4.7% kernel / faults: 56 minor

05-27 15:37:01.790  1542 15153 E ActivityManager:     2.3% 7971/ReplyEventDispa: 0% user + 2.3% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:   5.1% 11337/tv.danmaku.bilibilihd: 2.5% user + 2.5% kernel / faults: 237 minor

05-27 15:37:01.790  1542 15153 E ActivityManager:   1.6% 56/rcuop/5: 0% user + 1.6% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:   1.6% 64/rcuop/6: 0% user + 1.6% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:   1.6% 109/ion-pool-uncach: 0% user + 1.6% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:   1.6% 111/system: 0% user + 1.6% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:   1.6% 335/kworker/u16:10-kverityd: 0% user + 1.6% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:   1.7% 390/crtc_commit:125: 0% user + 1.7% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:   1.7% 519/servicemanager: 1.7% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:   1.7% 520/hwservicemanager: 1.7% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:   1.8% 970/vendor.thundercomm.hardware.tsnv@1.0-service: 1.8% user + 0% kernel / faults: 1 minor

05-27 15:37:01.790  1542 15153 E ActivityManager:   1.9% 1869/com.android.systemui: 1.9% user + 0% kernel / faults: 30 minor

05-27 15:37:01.790  1542 15153 E ActivityManager:     1.9% 1869/ndroid.systemui: 0% user + 1.9% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:   2% 2669/hht_ota_mgr: 2% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:   2% 3179/com.tencent.mobileqq:MSF: 2% user + 0% kernel / faults: 18 minor

05-27 15:37:01.790  1542 15153 E ActivityManager:   2.1% 3492/com.tencent.android.qqdownloader:cloud: 2.1% user + 0% kernel / faults: 139 minor

05-27 15:37:01.790  1542 15153 E ActivityManager:   2.1% 4335/logcat: 0% user + 2.1% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:   2.2% 5548/com.tencent.mm: 2.2% user + 0% kernel / faults: 21 minor

05-27 15:37:01.790  1542 15153 E ActivityManager:     2.2% 7422/[GT]ColdPool#4: 0% user + 2.2% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:   2.2% 5715/air.tv.douyu.android: 0% user + 2.2% kernel / faults: 21 minor

05-27 15:37:01.790  1542 15153 E ActivityManager:   2.4% 9225/com.kugou.android.support: 0% user + 2.4% kernel / faults: 1 minor

05-27 15:37:01.790  1542 15153 E ActivityManager:     2.4% 9526/TcpListener: 0% user + 2.4% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:   2.4% 9365/com.ss.android.article.news:pushservice: 0% user + 2.4% kernel / faults: 176 minor

05-27 15:37:01.790  1542 15153 E ActivityManager:   2.5% 10721/com.qiyi.video.pad:plugin1: 0% user + 2.5% kernel / faults: 74 minor

05-27 15:37:01.790  1542 15153 E ActivityManager:     2.5% 11175/QtpEngine: 2.5% user + 0% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager:     2.5% 11925/Thread-31: 0% user + 2.5% kernel

05-27 15:37:01.790  1542 15153 E ActivityManager: 99% TOTAL: 54% user + 38% kernel + 1.7% iowait + 2.9% irq + 1.9% softirq

-------------------------

■ 下一步计划

这种系统性能瓶颈的问题，无法从代码逻辑本身处理

需要推不解

#5 - 2023-06-02 15:45 - CD FW 曹覃刚

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CDTS_TEST 王成

Hi 王成

问题原因:

在问题发生时，CPU已经被拉满了,使用率达到了99%

Launcher本身并没有任何异常, 只是由于CPU拉满了，处理缓慢，导致无响应

控制中心的显示异常，应该也是这个原因导致的周边问题，(本地测试了上百次，没能复现问题)

这种系统性能瓶颈的问题，无法从代码逻辑本身处理

与TPM讨论了这个问题, 到时候攻关会上会讨论这个问题

请同步此信息，谢谢
#6 - 2023-07-17 17:14 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

客户回复：验证通过，跟踪三个版本未复现，关闭此问题

#7 - 2023-07-17 17:15 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#8 - 2023-07-17 17:15 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

15点36分quickstep没有响应，控制中心显示异常.mp4 11.7 MB 2023-05-27 CDTS_TEST 王成

15点36分quickstep没有响应，控制中心显示异常.7z 223 KB 2023-05-27 CDTS_TEST 王成
